@import "rnp-root.css";
@import "rnp-custom.css";

.modal-nps {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 100px; /* Location of the box */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-nps-content {
    background-color: #fefefe;
    margin: auto;
    padding: 0px;
    border: 1px solid #888;
    width: calc(100% - 2rem);
    max-width: 600px;
    position: relative;
}

/* The Close Button */
.modal-nps-close {
    color: #aaaaaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
    position: absolute;
    top: 0;
    right: 0;
    padding: 0 0.5rem;
}

.modal-nps-close:hover,
.modal-nps-close:focus {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

/* The Banner */
.banner {
    display: flex;
    background: var(--fs-white);
    border: 1px solid var(--fs-gray-200);
    border-radius: var(--fs-spacing-base);
    justify-content: space-evenly;
    align-items: center;
    flex-direction: column;
    margin: 20px 20px 40px 20px;
    font-size: 14px;
    color: #1351b4;
    padding: 40px 30px 0 30px;
    gap: 1.5rem;
}

.banner a {
    font-weight: 500;
    color: #ff8c00;
}

.banner > :first-child {
    width: 250px;
    font-size: 18px;
}

.core, .banner {
    max-width: 800px;
}

@media (min-width: 1200px) {
    .banner {
        margin: 20px;
        padding: 0 40px;
        flex-direction: row;
    }

    .banner > :first-child {
        width: 150px;
        font-size: 14px;
    }
}